<template>
    <el-pagination
        class="dialog-table-page"
        background
        align="center"
        layout="prev, pager, next"
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="pageResult.page"
        :page-size="pageResult.pageSize"
        :total="pageResult.total"
    ></el-pagination>
</template>

<script>
export default {
    name: 'pagination',
    props: {
        pageResult: {
            typeof: Object,
            default: () => {
                return {
                    page: 1,
                    pageSize: 20,
                    total: 40,
                }
            },
        },
    },
    data() {
        return {}
    },
    methods: {
        handleSizeChange(val) {
            this.$emit('size-change', val)
        },
        handleCurrentChange(val) {
            this.$emit('current-change', val)
        },
    },
}
</script>

<style lang="scss">
.dialog-table-page.el-pagination.is-background .el-pager li:not(.disabled).active {
    background-color: #1790FF;
    border: 1px solid #1790FF;
    color: #ffffff;
}
.dialog-table-page.el-pagination.is-background .el-pager li:not(.disabled).active:hover {
    background-color: #1790FF;
    border: 1px solid #1790FF;
    color: #ffffff;
}
.dialog-table-page.el-pagination.is-background .el-pager li:not(.disabled){
    background-color: transparent;
    border: 1px solid #62B4FF;
    color: #1790FF;
}
.dialog-table-page.el-pagination.is-background .el-pager li:not(.disabled):hover {
    background-color: #1790FF;
    border: 1px solid #1790FF;
    color: #ffffff;
}
.dialog-table-page.el-pagination.is-background .btn-prev, .dialog-table-page.el-pagination.is-background .btn-next{
    background-color: transparent;
    border: 1px solid #62B4FF;
    color: #1790FF;
}
.dialog-table-page.el-pagination span{
    font-siz: 12px;
}
</style>
